# Generated from rack-state-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rack-state

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: Secure and Modular State Management
License: ISC
URL: http://ecentryx.com/gems/rack-state
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(bacon) >= 1.2
BuildArch: noarch

%description
Rack::State is middleware that securely stores and manages object state.
Applications use the Manager API to set, get, and delete state of any object
that requires persistence in a stateless environment.
Rack::State is similar to Rack::Session, but provides state management for
multiple objects with independent control of the visibility, security, and
storage of each object's state.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# bacon -a
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.3-1
- Initial package
